## org.gnu.pango
Class TabArray

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.pango.TabArray

public class TabArray
extends Boxed

A PangoTabArray struct contains an array of tab stops. Each tab stop has an alignment and a position.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`TabArray(Handle handle)` Constructs new Tab array from handle to native resources.
`TabArray(int initialSize, boolean positionsInPixels)` Creates an array of `initialSize` tab stops.
`TabArray(TabArray tabArray)` Create a TabArray that is a copy of the provided TabArray.

Method Summary
`protected void` `finalize()`
`TabAlign` `getAligment(int tabIndex)` Returns the alignment ofthe tab stop
`int` `getPosition(int tabIndex)` Returns the position of the tab stops
`int` `getSize()` Get the number of tab stops in the array
`protected static Handle` `pango_tab_array_copy(Handle src)`
`protected static void` `pango_tab_array_free(Handle tabArray)`
`protected static boolean` `pango_tab_array_get_positions_in_pixels(Handle tabArray)`
`protected static int` `pango_tab_array_get_size(Handle tabArray)`
`protected static void` `pango_tab_array_get_tab(Handle tabArray, int tabIndex, int alignment, int[] location)`
`protected static int` `pango_tab_array_get_tabAlignment(Handle tabArray, int tabIndex)`
`protected static int` `pango_tab_array_get_tabLocation(Handle tabArray, int tabIndex)`
`protected static int` `pango_tab_array_get_type()`
`protected static Handle` `pango_tab_array_new(int initialSize, boolean positionInPixels)`
`protected static void` `pango_tab_array_resize(Handle tabArray, int newSize)`
`protected static void` `pango_tab_array_set_tab(Handle tabArray, int tabIndex, int alignment, int location)`
`boolean` `positionInPixels()` Returns true if the tab positions are in pixels and false if they are in Pango units.
`void` `resize(int newSize)` Resizes a tab array.
`void` `setTab(int tabIndex, TabAlign alignment, int location)` Sets the alignment and location of a tab stop.

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabArray

    public TabArray(int initialSize,
                    boolean positionsInPixels)

  Creates an array of `initialSize` tab stops. Tab stops are specified in pixel units if `positionsInPixels`is `true`, otherwise in Pango units. All stops are initially at position 0.

  ``

### TabArray

    public TabArray(TabArray tabArray)

  Create a TabArray that is a copy of the provided TabArray.

Parameters:
  `tabArray` -

### TabArray

    public TabArray(Handle handle)

  Constructs new Tab array from handle to native resources. Used internally by Java-Gnome.

Method Detail

### getSize

    public int getSize()

  Get the number of tab stops in the array

### resize

    public void resize(int newSize)

  Resizes a tab array. You must subsequently initialize any tabs that were added as a result of growing the array.

### setTab

    public void setTab(int tabIndex,
                       TabAlign alignment,
                       int location)

  Sets the alignment and location of a tab stop. Alignment must always be `TabAlign.LEFT` in the current implementation.

  Parameters:
    `tabIndex` - The index of a tab stop
    `alignment` - Tab alignment
    `location` - Tab location in pango units

### getPosition

    public int getPosition(int tabIndex)

  Returns the position of the tab stops

### getAligment

    public TabAlign getAligment(int tabIndex)

  Returns the alignment ofthe tab stop

### positionInPixels

    public boolean positionInPixels()

  Returns true if the tab positions are in pixels and false if they are in Pango units.

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### pango_tab_array_new

    protected static final Handle pango_tab_array_new(int initialSize,
                                                      boolean positionInPixels)

### pango_tab_array_get_type

    protected static final int pango_tab_array_get_type()

### pango_tab_array_copy

    protected static final Handle pango_tab_array_copy(Handle src)

### pango_tab_array_free

    protected static final void pango_tab_array_free(Handle tabArray)

### pango_tab_array_get_size

    protected static final int pango_tab_array_get_size(Handle tabArray)

### pango_tab_array_resize

    protected static final void pango_tab_array_resize(Handle tabArray,
                                                       int newSize)

### pango_tab_array_set_tab

    protected static final void pango_tab_array_set_tab(Handle tabArray,
                                                        int tabIndex,
                                                        int alignment,
                                                        int location)

### pango_tab_array_get_tab

    protected static final void pango_tab_array_get_tab(Handle tabArray,
                                                        int tabIndex,
                                                        int alignment,
                                                        int[] location)

### pango_tab_array_get_positions_in_pixels

    protected static final boolean pango_tab_array_get_positions_in_pixels(Handle tabArray)

### pango_tab_array_get_tabLocation

    protected static final int pango_tab_array_get_tabLocation(Handle tabArray,
                                                               int tabIndex)

### pango_tab_array_get_tabAlignment

    protected static final int pango_tab_array_get_tabAlignment(Handle tabArray,
                                                                int tabIndex)